My game is using UE 4.23 and this plugin works just fine. What updates do you need?